use rocket::State;
use crate::api::auth::Session;
use crate::error::ApiResult;
use crate::svc::user_svc::UserService;

#[get("/users/<id>")]
pub async fn display_name(
	id: i64,
	_ag: Session,
	svc: &State<UserService>,
) -> ApiResult<String> {
	svc.get_username(id).await
}
